namespace NBF.Setting
{
    public abstract class ToggleOption : MultiOption<bool>
    {
        protected override void OnInitialize()
        {
            AddOption("Off", false);
            AddOption("On", true);

            SelectOption(DefaultValue == 1);
        }

        public bool IsEnabled() => GetSelectedOption();
    }
}